%define	upstream_name	 Cache
%define	upstream_version 2.11

%global	__requires_exclude	perl\\(warnings::register\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    The Cache interface
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DB_File) >= 1.720.0
BuildRequires: perl(Date::Parse) >= 2.240.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Fcntl) >= 1.30.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::NFSLock) >= 1.200.0
BuildRequires: perl(File::Path) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Heap::Fibonacci) >= 0.10.0
BuildRequires: perl(IO::File) >= 1.80.0
BuildRequires: perl(IO::Handle) >= 1.210.0
BuildRequires: perl(IO::String) >= 1.20.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Storable) >= 1.0.0
BuildRequires: perl(Symbol) >= 1.20.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%{?perl_default_filter}

%description
%{upstream_name} perl module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Cache*
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.110.0-3.mga6
+ Revision: 1022819
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 967275
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 848605
- update to 2.11

* Wed Oct 15 2014 umeabot <umeabot> 2.100.0-4.mga5
+ Revision: 749226
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.100.0-3.mga5
+ Revision: 732833
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.100.0-2.mga5
+ Revision: 683719
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue May 20 2014 jquelin <jquelin> 2.100.0-1.mga5
+ Revision: 624166
- update to 2.10

* Sat Feb 08 2014 shlomif <shlomif> 2.90.0-1.mga5
+ Revision: 586450
- update to 2.09

* Sat Oct 19 2013 umeabot <umeabot> 2.60.0-2.mga4
+ Revision: 534769
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 2.60.0-1.mga4
+ Revision: 478722
- update to 2.06

* Sun Sep 08 2013 sander85 <sander85> 2.50.0-1.mga4
+ Revision: 476157
- update to 2.05

* Sun Jan 13 2013 umeabot <umeabot> 2.40.0-2.mga3
+ Revision: 363724
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 33612
- mageia rebuild
- imported package perl-Cache


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 2.40.0-1mdv2010.0
+ Revision: 409015
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.04-7mdv2009.0
+ Revision: 241153
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-5mdv2008.0
+ Revision: 85921
- rebuild


* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-4mdk
- spec cleanup
- better summary
- better buildrequires syntax
- better source URL
- buildrequires perl(Diget::SHA1)

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-2mdk
- Fix BuildRequires

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.04-1mdk
- 2.04
- enable tests
- fix URL
- BuildRequires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.03-1mdk
- initial Mandriva release

